package com.chinaitop.depot.grainAPI.entity;


import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Collections;
import java.util.Date;
import java.util.List;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("t_testdata")
public class TestData implements Serializable {
    private static final long serialVersionUID = -5327933225976489891L;

    @TableId("id")
    private String id;
    @TableField("org_id")
    private String orgId;
    @TableField("storehouse")
    private String storehouse;
    @TableField("house")
    private String house;
    @TableField("t_time")
    private Date time;
    @TableField("intemp")
    private BigDecimal intemp;
    @TableField("inh")
    private BigDecimal inh;
    @TableField("outtemp")
    private BigDecimal outtemp;
    @TableField("outh")
    private BigDecimal outh;
    @TableField("t_max")
    private BigDecimal max;
    @TableField("t_min")
    private BigDecimal min;
    @TableField("t_avg")
    private BigDecimal avg;
    @TableField("data_source")
    private String dataSource;
    @TableField("ilq_yq")
    private String ilqYq;
    @TableField("t_points")
    private String tPoints;
//    private List<Points> points = Collections.emptyList();

}