package com.chinaitop.depot.grainAPI.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author qingsong.han
 * @description:
 * @create 2021-11-03 13:54
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("t_testdata_layer")
public class TestDataLayer implements Serializable {
    private static final long serialVersionUID = -8849961676301983242L;

    @TableId("id")
    private String id;
    @TableField("org_id")
    private String orgId;
    @TableField("lq_id")
    private String lqId;
    @TableField("lhouse")
    private String lhouse;
    @TableField("ltime")
    private Date ltime;
    @TableField("layernumber")
    private Integer layernumber;
    @TableField("lz")
    private String lz;
    @TableField("lmax")
    private BigDecimal lmax;
    @TableField("lmin")
    private BigDecimal lmin;
    @TableField("lavg")
    private BigDecimal lavg;
    @TableField("data_source")
    private String dataSource;

}
