package com.chinaitop.depot.grainAPI.service.impl;

import com.chinaitop.depot.grainAPI.entity.TTestdataCloud;
import com.chinaitop.depot.grainAPI.mapper.TTestdataCloudMapper;
import com.chinaitop.depot.grainAPI.service.ITTestdataCloudService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author jobob
 * @since 2020-01-14
 */
@Service
public class TTestdataCloudServiceImpl extends ServiceImpl<TTestdataCloudMapper, TTestdataCloud> implements ITTestdataCloudService {

    @Autowired
    TTestdataCloudMapper tTestdataCloudMapper;

    @Override
    public List<Map<String, Object>> getDepotUrl(String hwCode) {
        return tTestdataCloudMapper.getDepotUrl(hwCode);
    }
}
