package com.chinaitop.depot.qualitycheck.controller;

import java.util.Map;

import javax.annotation.Resource;

import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.chinaitop.depot.common.ResponseEntity;
import com.chinaitop.depot.qualitycheck.service.QualitycheckChangeStorageService;

/**
 * 
 * @author liangs
 * 接收虚拟倒仓通知单
 */
@RestController
@RequestMapping(value = "/quality/change")
public class QualitycheckChangeStorageController {
	
	
	@Resource
    private QualitycheckChangeStorageService qualitycheckChangeStorageService;
	
	@PostMapping("/ChangeStorage")
    public ResponseEntity ChangeStorage(@RequestParam(value = "change") String change) {
		if(change!=null){
			Map<String, Object> map = qualitycheckChangeStorageService.save(change);
			return ResponseEntity.ok();
		}else{
			return ResponseEntity.failed("传入的参数为空");
		}
			
    }
}
