package com.chinaitop.depot.business.controller;

import java.util.Map;

import javax.annotation.Resource;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.chinaitop.depot.business.service.BusinessNoticeService;
import com.chinaitop.depot.common.ResponseEntity;

/**
 * 
 * @author My   Sunshine
 * 移库接收通知单
 */

@RestController
@RequestMapping(value = "/business/moveLibraryNotice")
public class MoveLibraryController {

	@Resource
    private BusinessNoticeService businessNoticeService;
	
	@PostMapping("/noticeReceive")
    public Map<String, Object> noticeReceive(@RequestParam(value = "notice") String notice) {
		Map<String, Object> map = businessNoticeService.moveLibraryAdd(notice);
	    return map;
    }
}
