package com.chinaitop.depot.business.service;

import java.util.Map;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;


@FeignClient(name = "depot-business")
public interface BusinessNoticeService {

	

	@RequestMapping(value = "/depot/business/receiveNotice/save", method = RequestMethod.POST)
	Map<String, Object> save(@RequestParam(value = "notice") String notice);

	
	@RequestMapping(value = "/depot/business/moveLibraryNotice/moveLibraryAdd", method = RequestMethod.POST)
	Map<String, Object> moveLibraryAdd(@RequestParam(value = "notice") String notice);
}
