package com.chinaitop.depot.grainAPI.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author qingsong.han
 * @description:
 * @create 2021-11-03 16:29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("t_warning_threshold_history")
public class TestWarningData implements Serializable {
    private static final long serialVersionUID = -1227845637988750898L;

    @TableId("id")
    private String id;
    @TableField("org_id")
    private String orgId;
    @TableField("v_cf_code")
    private String vCfCode;
    @TableField("w_module")
    private String wModule;
    @TableField("w_name")
    private String wName;
    @TableField("w_threshold")
    private BigDecimal wThreshold;
    @TableField("threshold")
    private BigDecimal threshold;
    @TableField("w_state")
    private Integer wState;
    @TableField("w_time")
    private Date wTime;
    @TableField("w_update_time")
    private Date wUpdateTime;
    @TableField("data_source")
    private String dataSource;
    @TableField("w_remark")
    private String wRemark;
    @TableField("is_send")
    private String isSend;
    @TableField("w_mode")
    private String wMode;
    @TableField("w_warning")
    private String wWarning;
    @TableField("updatetime")
    private Date updatetime;



}
