package com.chinaitop.depot.grainAPI.mapper;

import com.chinaitop.depot.grainAPI.entity.TTestdataCloud;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2020-01-14
 */
public interface TTestdataCloudMapper extends BaseMapper<TTestdataCloud> {

    @Select("SELECT\n" +
            "\ttuc.intranet_url depotUrl,\n" +
            "\tbs.storehouse_code cfCode\n" +
            "FROM\n" +
            "\tbasic_warehouse bw,\n" +
            "\tbasic_storehouse bs,\n" +
            "\tt_url_config tuc\n" +
            "WHERE\n" +
            "\ttuc.user_type = 1\n" +
            "AND bw.hwbm = ${hwCode}\n" +
            "AND tuc.org_id = bs.org_id\n" +
            "AND bs.storehouse_id = bw.storehouse_id")
    List<Map<String, Object>> getDepotUrl(@Param("hwCode") String hwCode);
}
