package com.chinaitop.depot.grainAPI.service;

import com.chinaitop.depot.grainAPI.entity.TTestdataCloud;
import com.baomidou.mybatisplus.extension.service.IService;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author jobob
 * @since 2020-01-14
 */
public interface ITTestdataCloudService extends IService<TTestdataCloud> {
    /**
    * @MethodName: getDepotUrl
    * @Description: TODO 获取库端url
    * @Param: [hwCode]
    * @Return: java.util.List<java.util.Map<java.lang.String,java.lang.Object>>
    * @Author: tongxi.xia
    * @Date: 2020/1/14
    **/
    List<Map<String, Object>> getDepotUrl(@Param("hwCode") String hwCode);
}
